Loading...
Searching...
No Matches
mongocxx::v1::indexes::drop_one_options Class Reference

`#include <mongocxx/v1/indexes.hpp>`

## Description

Options for mongocxx::v1::indexes::drop_one.

Supported fields include:

- comment
- max_time ("maxTimeMS")
- write_concern ("writeConcern")

## Public Member Functions

| drop_one_options ()
| Default initialization.
| drop_one_options (drop_one_options &&other) noexcept
| Move constructor.
| drop_one_options (drop_one_options const &other)
| Copy construction.
| ~drop_one_options ()
| Destroy this object.
bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > | comment () const
| Return the current "comment" field.
drop_one_options & | comment (bsoncxx::v1::types::value v)
| Set the "comment" field.
bsoncxx::v1::stdx::optional< std::chrono::milliseconds > | max_time () const
| Return the current "maxTimeMS" field.
drop_one_options & | max_time (std::chrono::milliseconds v)
| Set the "maxTimeMS" field.
drop_one_options & | operator= (drop_one_options &&other) noexcept
| Move assignment.
drop_one_options & | operator= (drop_one_options const &other)
| Copy assignment.
bsoncxx::v1::stdx::optional< v1::write_concern > | write_concern () const
| Return the current "writeConcern" field.
drop_one_options & | write_concern (v1::write_concern v)
| Set the "writeConcern" field.

## Constructor & Destructor Documentation

## ~drop_one_options()

mongocxx::v1::indexes::drop_one_options::~drop_one_options | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## drop_one_options() [1/3]

mongocxx::v1::indexes::drop_one_options::drop_one_options | ( | drop_one_options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## drop_one_options() [2/3]

mongocxx::v1::indexes::drop_one_options::drop_one_options | ( | drop_one_options const & | other | ) |

Copy construction.

## drop_one_options() [3/3]

mongocxx::v1::indexes::drop_one_options::drop_one_options | ( |  | ) |

Default initialization.

Postconditions:
  - All supported fields are "unset" or zero-initialized.

## Member Function Documentation

## comment() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > mongocxx::v1::indexes::drop_one_options::comment | ( |  | ) | const

Return the current "comment" field.

## comment() [2/2]

drop_one_options & mongocxx::v1::indexes::drop_one_options::comment | ( | bsoncxx::v1::types::value | v | ) |

Set the "comment" field.

## max_time() [1/2]

bsoncxx::v1::stdx::optional< std::chrono::milliseconds > mongocxx::v1::indexes::drop_one_options::max_time | ( |  | ) | const

Return the current "maxTimeMS" field.

## max_time() [2/2]

drop_one_options & mongocxx::v1::indexes::drop_one_options::max_time | ( | std::chrono::milliseconds | v | ) |

Set the "maxTimeMS" field.

## operator=() [1/2]

drop_one_options & mongocxx::v1::indexes::drop_one_options::operator= | ( | drop_one_options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

drop_one_options & mongocxx::v1::indexes::drop_one_options::operator= | ( | drop_one_options const & | other | ) |

Copy assignment.

## write_concern() [1/2]

bsoncxx::v1::stdx::optional< v1::write_concern > mongocxx::v1::indexes::drop_one_options::write_concern | ( |  | ) | const

Return the current "writeConcern" field.

## write_concern() [2/2]

drop_one_options & mongocxx::v1::indexes::drop_one_options::write_concern | ( | v1::write_concern | v | ) |

Set the "writeConcern" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/indexes.hpp